SoBumpMapElement(3)

NAME
SoBumpMapElement - The SoBumpMapElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoBumpMapElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, SoGLImage *image)
FIXME: write doc.
static SoGLImage * get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoBumpMapElement ()
virtual void setElt (SoGLImage *image)
FIXME: write doc.

  Protected Attributes
SoGLImage * image

  Additional Inherited Members

Detailed Description

The SoBumpMapElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoBumpMapElement::~SoBumpMapElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoBumpMapElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoBumpMapElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoBumpMapElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoBumpMapElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

Author

Generated automatically by Doxygen for Coin from the source code.